#! /usr/bin/rpm
%define  sovers         4
%define _unpackaged_files_terminate_build  0
%define debug_package %{nil}
%define __strip true
 
# --------------------------------------------------------------------
Summary: 	C++ interface to DATE raw data format 
Name: 		readraw%{sovers}
Version: 	0.7
Release: 	2
License: 	GPL
Group: 		Development/Libraries
URL: 		http://cern.ch/cholm
Source0: 	readraw-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/readraw-%{version}-%{release}-buildroot
BuildRequires:  date
Conflicts:      readraw < 0.5-2

%description
C++ interface to DATE raw data

%files
%defattr(-,root,root)
%{_prefix}/lib/lib*.so.*

# --------------------------------------------------------------------
%package -n readraw-devel
Summary:	C++ interface to DATE raw data
Group:		Development/System
Requires:	%{name}
%description -n readraw-devel
C++ interface to DATE raw data

%files -n readraw-devel
%defattr(-,root,root)
%{_prefix}/include/readraw
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.la
%{_prefix}/lib/lib*.so
%{_prefix}/lib/pkgconfig/*
%{_prefix}/bin/readraw-config
%{_prefix}/share/man/man1/*
%{_prefix}/share/aclocal/*
%{_prefix}/share/doc/readraw/readraw.tags
%{_prefix}/share/doc/readraw/html


# --------------------------------------------------------------------
%prep
%setup -q -n readraw-%{version}

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
make clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------
%changelog
* Thu Apr 26 2007 Christian Holm Christensen <cholm@nbi.dk>
- Also install documentation

* Mon Apr 23 2007 Christian Holm Christensen <cholm@nbi.dk>
- Updated soversion

* Sun Apr 01 2007 Christian Holm Christensen <cholm@nbi.dk>
- Fixed mutli-file input

* Thu Mar 29 2007 Christian Holm Christensen <cholm@nbi.dk>
- Fixes for new trigger/detector patterns

* Sat Mar 10 2007 Christian Holm Christensen <cholm@nbi.dk>
- New soversions and handle multi-file input from commandline

* Fri Jan 12 2007 Christian Holm Christensen <cholm@nbi.dk>
- New release

* Thu Jan 04 2007 Christian Holm Christensen <cholm@nbi.dk>
- Added auto-detect of commen event header size

* Mon Nov 06 2006 Christian Holm Christensen <cholm@nbi.dk>
- Add print outs on errors

* Wed Jul 26 2006 Christian Holm Christensen <cholm@nbi.dk>
- Foo

* Wed Jul 26 2006 Christian Holm Christensen <cholm@nbi.dk>
- Made counters unsigned long longs
* Tue May 23 2006 Forward Multiplicity Detector <fmd@dhcp61.dhcp.nbi.dk> 
- Initial build.
